Index: src/Actions/ActionRegistry.cpp
===================================================================
--- src/Actions/ActionRegistry.cpp	(revision 94d131220b911d708c24560616b4800dd3578f08)
+++ src/Actions/ActionRegistry.cpp	(revision 1e6913b9968cc6beb553ca42434c08a099e00d98)
@@ -37,4 +37,10 @@
 }
 
+bool ActionRegistry::isActionByNamePresent(const std::string name){
+  map<const string,Action*>::iterator iter;
+  iter = actionMap.find(name);
+  return iter!=actionMap.end();
+}
+
 void ActionRegistry::registerAction(Action* action){
   pair<map<const string,Action*>::iterator,bool> ret;
Index: src/Actions/ActionRegistry.hpp
===================================================================
--- src/Actions/ActionRegistry.hpp	(revision 94d131220b911d708c24560616b4800dd3578f08)
+++ src/Actions/ActionRegistry.hpp	(revision 1e6913b9968cc6beb553ca42434c08a099e00d98)
@@ -21,4 +21,5 @@
 public:
   Action* getActionByName(const std::string);
+  bool isActionByNamePresent(const std::string name);
   void registerAction(Action*);
   void unregisterAction(Action*);
Index: src/UIElements/CommandLineUI/CommandLineWindow.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision 94d131220b911d708c24560616b4800dd3578f08)
+++ src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision 1e6913b9968cc6beb553ca42434c08a099e00d98)
@@ -74,10 +74,4 @@
 CommandLineWindow::~CommandLineWindow()
 {
-//  // go through all possible actions
-//  for(std::map<const std::string,Action*>::iterator ActionRunner = ActionRegistry::getInstance().getBeginIter(); ActionRegistry::getInstance().getBeginIter() != ActionRegistry::getInstance().getEndIter(); ActionRunner = ActionRegistry::getInstance().getBeginIter()) {
-//    ActionRegistry::getInstance().unregisterAction(ActionRunner->second);
-//    delete(ActionRunner->second);
-//  }
-
   delete statusIndicator;
 }
@@ -85,9 +79,8 @@
 void CommandLineWindow::display() {
   // go through all possible actions
-  for(std::map<const std::string,Action*>::iterator ActionRunner = ActionRegistry::getInstance().getBeginIter(); ActionRunner != ActionRegistry::getInstance().getEndIter(); ActionRunner++) {
-    // check whether action is present in command line
-    if (CommandLineParser::getInstance().vm.count(ActionRunner->first)) {
-      ActionRunner->second->call();
-    }
+  for (po::variables_map::iterator CommandRunner = CommandLineParser::getInstance().vm.begin(); CommandRunner != CommandLineParser::getInstance().vm.end(); ++CommandRunner) {
+    cout << "Checking presence of " << CommandRunner->first << endl;
+    if (ActionRegistry::getInstance().isActionByNamePresent(CommandRunner->first))
+      ActionRegistry::getInstance().getActionByName(CommandRunner->first)->call();
   }
 }
Index: tests/regression/testsuite-fragmentation.at
===================================================================
--- tests/regression/testsuite-fragmentation.at	(revision 94d131220b911d708c24560616b4800dd3578f08)
+++ tests/regression/testsuite-fragmentation.at	(revision 1e6913b9968cc6beb553ca42434c08a099e00d98)
@@ -12,5 +12,5 @@
 AT_SETUP([Fragmentation - Fragmentation])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Fragmentation/2/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 0 --distance 1.55 --order 2], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -v 1 -f 0 --distance 1.55 --order 2], 0, [ignore], [ignore])
 AT_CHECK([ls -l BondFragment*.conf | wc -l], 0, [5
 ], [ignore])
@@ -20,5 +20,5 @@
 AT_SETUP([Fragmentation - Fragmentation is at MaxOrder])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Fragmentation/3/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 0 --distance 1.55 --order 2], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 0 --distance 1.55 --order 2], 2, [ignore], [ignore])
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -v 1 -f 0 --distance 1.55 --order 2], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -v 1 -f 0 --distance 1.55 --order 2], 2, [ignore], [ignore])
 AT_CLEANUP
